@echo off
rem
rem Converting fo file into pdf file.
rem
rem  doml2fo [-help] [fo*-file] [pdf-file] 
rem
rem  -help - Print usage message and exit.
rem
rem fo-file - fo file
rem pdf-file - desired target pdf file
rem


set USAGE=fo2pdf [-help] [fo-file] [pdf-file]

set FOPDIR=E:\senka\work\DODS-verzije\DODSX-7.2-1\output/lib-ext

set DODS_FOP_JAR="%FOPDIR%\fop.jar"
set DODS_BATIK_JAR="%FOPDIR%\batik.jar"
set DODS_AVALONFRAMEWORKCVS_JAR="%FOPDIR%\avalon-framework.jar"
set DODS_COMMONSIO_JAR="%FOPDIR%\commons-io.jar"
set DODS_XMLGRAPHICSCOMMONS_JAR="%FOPDIR%\xmlgraphics-commons.jar"
set DODS_COMMONSLOGGING_JAR="%FOPDIR%\commons-logging.jar"
set DODS_FOP_MEM=900M

set PATH="E:/jdk1.5.0_10\bin";%PATH%
set JAVACMD=java.exe

:start
if %1.==. goto error1
if %1==-help goto help
if %1==-* goto error2
if %1==* goto continue1
goto continue1

:error1
echo Error: There is not any arguments: %USAGE%
goto exit

:error2
echo Error: Invalid option: %USAGE%
goto exit

:error3
echo Error: There is not second argument: %USAGE%
goto exit

:error4
echo Error: There are more then two arguments: %USAGE%
goto exit

:help
echo.
echo Usage: %USAGE%
echo.
goto exit

:continue1
if %2.==. goto error3
if %2==-* goto error2
if %2==* goto continue2
goto continue2

:continue2
if %3.==. goto continue
goto error4


:continue
%JAVACMD% -cp "%CLASSPATH%" -Xmx%DODS_FOP_MEM% -cp %DODS_FOP_JAR%;%DODS_BATIK_JAR%;%DODS_AVALONFRAMEWORKCVS_JAR%;%DODS_COMMONSIO_JAR%;%DODS_XMLGRAPHICSCOMMONS_JAR%;%DODS_COMMONSLOGGING_JAR% org.apache.fop.cli.Main -q -fo %1 -pdf %2

:exit