package jtaDiscRack.actions;

import jtaDiscRack.*;
import jtaDiscRack.presentation.*;
import jtaDiscRack.business.person.PersonFactory;

import java.awt.event.ActionEvent;

/**
 * Class that realizes <B>login</B> action.
 *
 * @author Sasa Bojanic
 * @version 1.0
 */
public class Login extends ActionBase {

   public Login (JtaDiscRack jtaDiscRack) {
      super(jtaDiscRack);
   }

   public void actionPerformed(ActionEvent e) {
	   jtaDiscRack.presentation.Login l=new jtaDiscRack.presentation.Login();
      DElementDialog loginD=new DElementDialog(jtaDiscRack.getFrame(),"JtaDiscRack - Login");
      loginD.editDElement(l.getPanel(),true);
      if (!loginD.isCanceled()) {
    	  jtaDiscRack.business.person.Person p=null;
         try {
            p=PersonFactory.findPerson(l.get("Login").toString());
         } catch (Exception ex) {}
         Discs dscs=new Discs(p);
         jtaDiscRack.setCentralPanel(dscs.getPanel());
         jtaDiscRack.getAction("Login").setEnabled(false);
         jtaDiscRack.getAction("Logout").setEnabled(true);
         jtaDiscRack.getAction("Register").setEnabled(false);
         try {
        	 jtaDiscRack.setTitleUser(p.getFirstname()+" "+p.getLastname());
         } catch (Exception ex) {}
      }
   }
}
