package allinone;

import com.lutris.appserver.server.sql.*;
import com.lutris.util.*;
import org.enhydra.dods.*;
import java.sql.SQLException;


import javax.swing.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;
import java.net.*;
import java.io.*;
import org.apache.log4j.Logger;
import org.apache.log4j.xml.DOMConfigurator;
import com.lutris.appserver.server.sql.*;
import allinone.data.person.*;


public class SelfReference {

    void showTable(DBTransaction dbTrans) throws Exception{
        try{
            PersonSelfQuery queryPersonSelf = new PersonSelfQuery(dbTrans);
            PersonSelfDO[] allADO = queryPersonSelf.getDOArray();
            System.err.println();
            System.err.println("-------------TablePersonSelf-----begin----------");
            if(allADO!=null) {
                if(allADO.length>0)System.err.println("------oid---------Firstname--------Lastname-----Login------Boss-----");
                for(int i=0; i<allADO.length; i++){
                    System.err.print("   "+allADO[i].getOId());
                    System.err.print("   "+allADO[i].getFirstname());
                    System.err.print("   "+allADO[i].getLastname());
                    System.err.print("   "+allADO[i].getLogin());
                    System.err.print("   "+((null!=allADO[i].getBoss())?allADO[i].getBoss().getOId():null));
                    System.err.println();
                }
            } else {
                System.err.println("noData");
            }
            System.err.println("-------------TablePersonSelf-----end------------");
        }catch(Exception e){
            e.printStackTrace();
            throw new Exception("Couldn't showTables ", e);
        }
    }

    void runTest(DBTransaction dbTrans1) {
        try {
            boolean autoWrite = ((StandardDatabaseManager)DODS.getDatabaseManager()).getDatabaseManagerConfiguration().getAutoWrite();
            System.err.println("___ - + * startin SelfReference * + -  ___");
            showTable(dbTrans1);

            PersonSelfDO person0 = PersonSelfDO.createVirgin(dbTrans1);
            PersonSelfDO person1 = PersonSelfDO.createVirgin(dbTrans1);
            PersonSelfDO person2 = PersonSelfDO.createVirgin(dbTrans1);
            PersonSelfDO person3 = PersonSelfDO.createVirgin(dbTrans1);
            PersonSelfDO person4 = PersonSelfDO.createVirgin(dbTrans1);
            PersonSelfDO person5 = PersonSelfDO.createVirgin(dbTrans1);

            //person0 points to itself
            person0.setFirstname("PersonSelf0Name");
            person0.setLastname("PersonSelf0LastName");
            person0.setLogin("p0");
            person0.setPassword("p0");
            person0.save();
            System.err.println("Person 0 saved "+person0.getOId());
            //      if(!autoWrite)
                dbTrans1.write();

            person0.setBoss(person0);
            person0.save();
            System.err.println("\tPerson 0 saved "+person0.getOId());
            //      if(!autoWrite)
            //          dbTrans1.write();

            //person1 points to person2, and person2 points to person1
            person1.setFirstname("PersonSelf1Name");
            person1.setLastname("PersonSelf1LastName");
            person1.setLogin("p1");
            person1.setPassword("p1");
            person1.save();
            System.err.println("Person 1 saved "+person1.getOId());
            if(!autoWrite)
                dbTrans1.write();

            person2.setFirstname("PersonSelf2Name");
            person2.setLastname("PersonSelf2LastName");
            person2.setLogin("p2");
            person2.setPassword("p2");
            person2.setBoss(person1);
            person2.save();
            System.err.println("Person 2 saved "+person2.getOId());
            if(!autoWrite)
                dbTrans1.write();

            person1.setBoss(person2);
            person1.save();
            System.err.println("\tPerson 1 saved "+person1.getOId());
            if(!autoWrite)
                dbTrans1.write();

            //person3 points to person4, and person4 points to person5, person5 points to person3
            person3.setFirstname("PersonSelf3Name");
            person3.setLastname("PersonSelf3LastName");
            person3.setLogin("p3");
            person3.setPassword("p3");
            person3.save();
            System.err.println("Person 3 saved "+person3.getOId());
            if(!autoWrite)
                dbTrans1.write();

            person4.setFirstname("PersonSelf4Name");
            person4.setLastname("PersonSelf4LastName");
            person4.setLogin("p4");
            person4.setPassword("p4");
            person4.save();
            System.err.println("Person 4 saved "+person4.getOId());
            if(!autoWrite)
                dbTrans1.write();

            person5.setFirstname("PersonSelf5Name");
            person5.setLastname("PersonSelf5LastName");
            person5.setLogin("p5");
            person5.setPassword("p5");
            person5.setBoss(person3);
            person5.save();
            System.err.println("Person 5 saved "+person5.getOId());
            if(!autoWrite)
                dbTrans1.write();

            person3.setBoss(person4);
            person3.save();
            System.err.println("\tPerson 3 saved "+person3.getOId());
            if(!autoWrite)
                dbTrans1.write();

            person4.setBoss(person5);
            person4.save();
            System.err.println("\tPerson 4 saved "+person4.getOId());
            if(!autoWrite)
                dbTrans1.write();
            if (null != dbTrans1)
                dbTrans1.commit();

            showTable(dbTrans1);

            person0.setBoss(null);
            person0.save();
            if(!autoWrite)
                dbTrans1.write();
            person0.delete();

            //          person1.delete(); gets deleted by next lines
            person2.setBoss(null);
            person2.save();
            if(!autoWrite)
                dbTrans1.write();

            person2.delete();
            //          person3.delete(); these two
            //          person4.delete(); get deleted by next lines
            person5.setBoss(null);
            person5.save();
            if(!autoWrite)
                dbTrans1.write();

            person5.delete();

            if (null != dbTrans1)
                dbTrans1.commit();
            showTable(dbTrans1);
        }catch (Exception ex){
            System.err.println(ex.toString());
            ex.printStackTrace();
        }
    }
}
